pragma Ada_95;
with System;
package ada_main is
   pragma Warnings (Off);

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 4.9.1 20140930 (Red Hat 4.9.1-11)" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   Ada_Main_Program_Name : constant String := "_ada_wsdl2aws" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#93a759b8#;
   pragma Export (C, u00001, "wsdl2awsB");
   u00002 : constant Version_32 := 16#a964624f#;
   pragma Export (C, u00002, "system__standard_libraryB");
   u00003 : constant Version_32 := 16#c15e0628#;
   pragma Export (C, u00003, "system__standard_libraryS");
   u00004 : constant Version_32 := 16#3ffc8e18#;
   pragma Export (C, u00004, "adaS");
   u00005 : constant Version_32 := 16#1617663c#;
   pragma Export (C, u00005, "ada__command_lineB");
   u00006 : constant Version_32 := 16#d59e21a4#;
   pragma Export (C, u00006, "ada__command_lineS");
   u00007 : constant Version_32 := 16#90249111#;
   pragma Export (C, u00007, "systemS");
   u00008 : constant Version_32 := 16#643ddf46#;
   pragma Export (C, u00008, "system__secondary_stackB");
   u00009 : constant Version_32 := 16#3b455e78#;
   pragma Export (C, u00009, "system__secondary_stackS");
   u00010 : constant Version_32 := 16#65bb1402#;
   pragma Export (C, u00010, "system__parametersB");
   u00011 : constant Version_32 := 16#3ba8257b#;
   pragma Export (C, u00011, "system__parametersS");
   u00012 : constant Version_32 := 16#77a147eb#;
   pragma Export (C, u00012, "system__soft_linksB");
   u00013 : constant Version_32 := 16#6144caac#;
   pragma Export (C, u00013, "system__soft_linksS");
   u00014 : constant Version_32 := 16#e9502879#;
   pragma Export (C, u00014, "ada__exceptionsB");
   u00015 : constant Version_32 := 16#e1be92cd#;
   pragma Export (C, u00015, "ada__exceptionsS");
   u00016 : constant Version_32 := 16#51ba2b93#;
   pragma Export (C, u00016, "ada__exceptions__last_chance_handlerB");
   u00017 : constant Version_32 := 16#909606f8#;
   pragma Export (C, u00017, "ada__exceptions__last_chance_handlerS");
   u00018 : constant Version_32 := 16#7ff7f3a3#;
   pragma Export (C, u00018, "system__exception_tableB");
   u00019 : constant Version_32 := 16#6ca6d92c#;
   pragma Export (C, u00019, "system__exception_tableS");
   u00020 : constant Version_32 := 16#c3335bfd#;
   pragma Export (C, u00020, "system__htableB");
   u00021 : constant Version_32 := 16#14e622fb#;
   pragma Export (C, u00021, "system__htableS");
   u00022 : constant Version_32 := 16#089f5cd0#;
   pragma Export (C, u00022, "system__string_hashB");
   u00023 : constant Version_32 := 16#b6b84985#;
   pragma Export (C, u00023, "system__string_hashS");
   u00024 : constant Version_32 := 16#9e373b74#;
   pragma Export (C, u00024, "system__exceptionsB");
   u00025 : constant Version_32 := 16#a83a37b3#;
   pragma Export (C, u00025, "system__exceptionsS");
   u00026 : constant Version_32 := 16#cd9019cf#;
   pragma Export (C, u00026, "system__exceptions__machineS");
   u00027 : constant Version_32 := 16#a2eb6533#;
   pragma Export (C, u00027, "system__exceptions_debugB");
   u00028 : constant Version_32 := 16#6b2380a9#;
   pragma Export (C, u00028, "system__exceptions_debugS");
   u00029 : constant Version_32 := 16#570325c8#;
   pragma Export (C, u00029, "system__img_intB");
   u00030 : constant Version_32 := 16#92ff71d3#;
   pragma Export (C, u00030, "system__img_intS");
   u00031 : constant Version_32 := 16#39a03df9#;
   pragma Export (C, u00031, "system__storage_elementsB");
   u00032 : constant Version_32 := 16#bde7db15#;
   pragma Export (C, u00032, "system__storage_elementsS");
   u00033 : constant Version_32 := 16#ff5c7695#;
   pragma Export (C, u00033, "system__tracebackB");
   u00034 : constant Version_32 := 16#b8200e4c#;
   pragma Export (C, u00034, "system__tracebackS");
   u00035 : constant Version_32 := 16#8c33a517#;
   pragma Export (C, u00035, "system__wch_conB");
   u00036 : constant Version_32 := 16#8b59b3c3#;
   pragma Export (C, u00036, "system__wch_conS");
   u00037 : constant Version_32 := 16#9721e840#;
   pragma Export (C, u00037, "system__wch_stwB");
   u00038 : constant Version_32 := 16#a6489fc2#;
   pragma Export (C, u00038, "system__wch_stwS");
   u00039 : constant Version_32 := 16#9b29844d#;
   pragma Export (C, u00039, "system__wch_cnvB");
   u00040 : constant Version_32 := 16#84ee0930#;
   pragma Export (C, u00040, "system__wch_cnvS");
   u00041 : constant Version_32 := 16#69adb1b9#;
   pragma Export (C, u00041, "interfacesS");
   u00042 : constant Version_32 := 16#ece6fdb6#;
   pragma Export (C, u00042, "system__wch_jisB");
   u00043 : constant Version_32 := 16#049e1011#;
   pragma Export (C, u00043, "system__wch_jisS");
   u00044 : constant Version_32 := 16#8cb17bcd#;
   pragma Export (C, u00044, "system__traceback_entriesB");
   u00045 : constant Version_32 := 16#2535f183#;
   pragma Export (C, u00045, "system__traceback_entriesS");
   u00046 : constant Version_32 := 16#41837d1e#;
   pragma Export (C, u00046, "system__stack_checkingB");
   u00047 : constant Version_32 := 16#1e9bfaf9#;
   pragma Export (C, u00047, "system__stack_checkingS");
   u00048 : constant Version_32 := 16#af50e98f#;
   pragma Export (C, u00048, "ada__stringsS");
   u00049 : constant Version_32 := 16#261c554b#;
   pragma Export (C, u00049, "ada__strings__unboundedB");
   u00050 : constant Version_32 := 16#ac15cd78#;
   pragma Export (C, u00050, "ada__strings__unboundedS");
   u00051 : constant Version_32 := 16#7b7cedaa#;
   pragma Export (C, u00051, "ada__strings__searchB");
   u00052 : constant Version_32 := 16#b5a8c1d6#;
   pragma Export (C, u00052, "ada__strings__searchS");
   u00053 : constant Version_32 := 16#96e9c1e7#;
   pragma Export (C, u00053, "ada__strings__mapsB");
   u00054 : constant Version_32 := 16#6a512c5d#;
   pragma Export (C, u00054, "ada__strings__mapsS");
   u00055 : constant Version_32 := 16#431dd077#;
   pragma Export (C, u00055, "system__bit_opsB");
   u00056 : constant Version_32 := 16#0765e3a3#;
   pragma Export (C, u00056, "system__bit_opsS");
   u00057 : constant Version_32 := 16#c12203be#;
   pragma Export (C, u00057, "system__unsigned_typesS");
   u00058 : constant Version_32 := 16#12c24a43#;
   pragma Export (C, u00058, "ada__charactersS");
   u00059 : constant Version_32 := 16#4b7bb96a#;
   pragma Export (C, u00059, "ada__characters__latin_1S");
   u00060 : constant Version_32 := 16#08ba48f3#;
   pragma Export (C, u00060, "ada__tagsB");
   u00061 : constant Version_32 := 16#ee1e5cdd#;
   pragma Export (C, u00061, "ada__tagsS");
   u00062 : constant Version_32 := 16#1e25d3f1#;
   pragma Export (C, u00062, "system__val_lluB");
   u00063 : constant Version_32 := 16#bbd054cc#;
   pragma Export (C, u00063, "system__val_lluS");
   u00064 : constant Version_32 := 16#27b600b2#;
   pragma Export (C, u00064, "system__val_utilB");
   u00065 : constant Version_32 := 16#3c8427ef#;
   pragma Export (C, u00065, "system__val_utilS");
   u00066 : constant Version_32 := 16#d1060688#;
   pragma Export (C, u00066, "system__case_utilB");
   u00067 : constant Version_32 := 16#b42df8c6#;
   pragma Export (C, u00067, "system__case_utilS");
   u00068 : constant Version_32 := 16#5b9edcc4#;
   pragma Export (C, u00068, "system__compare_array_unsigned_8B");
   u00069 : constant Version_32 := 16#3927e09c#;
   pragma Export (C, u00069, "system__compare_array_unsigned_8S");
   u00070 : constant Version_32 := 16#5f72f755#;
   pragma Export (C, u00070, "system__address_operationsB");
   u00071 : constant Version_32 := 16#83282f22#;
   pragma Export (C, u00071, "system__address_operationsS");
   u00072 : constant Version_32 := 16#1220f12d#;
   pragma Export (C, u00072, "system__storage_pools__subpoolsB");
   u00073 : constant Version_32 := 16#b0e8cddc#;
   pragma Export (C, u00073, "system__storage_pools__subpoolsS");
   u00074 : constant Version_32 := 16#57a37a42#;
   pragma Export (C, u00074, "system__address_imageB");
   u00075 : constant Version_32 := 16#31c80c2b#;
   pragma Export (C, u00075, "system__address_imageS");
   u00076 : constant Version_32 := 16#1f8826cb#;
   pragma Export (C, u00076, "system__finalization_mastersB");
   u00077 : constant Version_32 := 16#df27fd08#;
   pragma Export (C, u00077, "system__finalization_mastersS");
   u00078 : constant Version_32 := 16#7268f812#;
   pragma Export (C, u00078, "system__img_boolB");
   u00079 : constant Version_32 := 16#65fde0fa#;
   pragma Export (C, u00079, "system__img_boolS");
   u00080 : constant Version_32 := 16#d7aac20c#;
   pragma Export (C, u00080, "system__ioB");
   u00081 : constant Version_32 := 16#0e66665e#;
   pragma Export (C, u00081, "system__ioS");
   u00082 : constant Version_32 := 16#8cbe6205#;
   pragma Export (C, u00082, "ada__finalizationB");
   u00083 : constant Version_32 := 16#22e22193#;
   pragma Export (C, u00083, "ada__finalizationS");
   u00084 : constant Version_32 := 16#1b5643e2#;
   pragma Export (C, u00084, "ada__streamsB");
   u00085 : constant Version_32 := 16#2564c958#;
   pragma Export (C, u00085, "ada__streamsS");
   u00086 : constant Version_32 := 16#db5c917c#;
   pragma Export (C, u00086, "ada__io_exceptionsS");
   u00087 : constant Version_32 := 16#95817ed8#;
   pragma Export (C, u00087, "system__finalization_rootB");
   u00088 : constant Version_32 := 16#dfd6e281#;
   pragma Export (C, u00088, "system__finalization_rootS");
   u00089 : constant Version_32 := 16#6d4d969a#;
   pragma Export (C, u00089, "system__storage_poolsB");
   u00090 : constant Version_32 := 16#5e6a53cc#;
   pragma Export (C, u00090, "system__storage_poolsS");
   u00091 : constant Version_32 := 16#aba9f469#;
   pragma Export (C, u00091, "system__storage_pools__subpools__finalizationB");
   u00092 : constant Version_32 := 16#9662cb63#;
   pragma Export (C, u00092, "system__storage_pools__subpools__finalizationS");
   u00093 : constant Version_32 := 16#afc64758#;
   pragma Export (C, u00093, "system__atomic_countersB");
   u00094 : constant Version_32 := 16#5d5805db#;
   pragma Export (C, u00094, "system__atomic_countersS");
   u00095 : constant Version_32 := 16#ffe20862#;
   pragma Export (C, u00095, "system__stream_attributesB");
   u00096 : constant Version_32 := 16#e5402c91#;
   pragma Export (C, u00096, "system__stream_attributesS");
   u00097 : constant Version_32 := 16#9a3f0a9b#;
   pragma Export (C, u00097, "ada__text_ioB");
   u00098 : constant Version_32 := 16#27578d68#;
   pragma Export (C, u00098, "ada__text_ioS");
   u00099 : constant Version_32 := 16#e0b7a7e8#;
   pragma Export (C, u00099, "interfaces__c_streamsB");
   u00100 : constant Version_32 := 16#6c8b8ac5#;
   pragma Export (C, u00100, "interfaces__c_streamsS");
   u00101 : constant Version_32 := 16#bfa64d6c#;
   pragma Export (C, u00101, "system__crtlS");
   u00102 : constant Version_32 := 16#ec6e1273#;
   pragma Export (C, u00102, "system__file_ioB");
   u00103 : constant Version_32 := 16#0165f036#;
   pragma Export (C, u00103, "system__file_ioS");
   u00104 : constant Version_32 := 16#769e25e6#;
   pragma Export (C, u00104, "interfaces__cB");
   u00105 : constant Version_32 := 16#96001448#;
   pragma Export (C, u00105, "interfaces__cS");
   u00106 : constant Version_32 := 16#d0432c8d#;
   pragma Export (C, u00106, "system__img_enum_newB");
   u00107 : constant Version_32 := 16#f16897d1#;
   pragma Export (C, u00107, "system__img_enum_newS");
   u00108 : constant Version_32 := 16#eec8f81b#;
   pragma Export (C, u00108, "system__os_libB");
   u00109 : constant Version_32 := 16#fc501b71#;
   pragma Export (C, u00109, "system__os_libS");
   u00110 : constant Version_32 := 16#1a817b8e#;
   pragma Export (C, u00110, "system__stringsB");
   u00111 : constant Version_32 := 16#ee9b8077#;
   pragma Export (C, u00111, "system__stringsS");
   u00112 : constant Version_32 := 16#da3df06e#;
   pragma Export (C, u00112, "system__file_control_blockS");
   u00113 : constant Version_32 := 16#e34550ca#;
   pragma Export (C, u00113, "system__pool_globalB");
   u00114 : constant Version_32 := 16#c88d2d16#;
   pragma Export (C, u00114, "system__pool_globalS");
   u00115 : constant Version_32 := 16#6810466c#;
   pragma Export (C, u00115, "system__memoryB");
   u00116 : constant Version_32 := 16#c959f725#;
   pragma Export (C, u00116, "system__memoryS");
   u00117 : constant Version_32 := 16#67abac24#;
   pragma Export (C, u00117, "awsS");
   u00118 : constant Version_32 := 16#1b363a8f#;
   pragma Export (C, u00118, "aws__clientB");
   u00119 : constant Version_32 := 16#ed2da497#;
   pragma Export (C, u00119, "aws__clientS");
   u00120 : constant Version_32 := 16#871738bb#;
   pragma Export (C, u00120, "ada__streams__stream_ioB");
   u00121 : constant Version_32 := 16#68da1e56#;
   pragma Export (C, u00121, "ada__streams__stream_ioS");
   u00122 : constant Version_32 := 16#5de653db#;
   pragma Export (C, u00122, "system__communicationB");
   u00123 : constant Version_32 := 16#08f2bf56#;
   pragma Export (C, u00123, "system__communicationS");
   u00124 : constant Version_32 := 16#914b496f#;
   pragma Export (C, u00124, "ada__strings__fixedB");
   u00125 : constant Version_32 := 16#dc686502#;
   pragma Export (C, u00125, "ada__strings__fixedS");
   u00126 : constant Version_32 := 16#26d4d77e#;
   pragma Export (C, u00126, "aws__client__http_utilsB");
   u00127 : constant Version_32 := 16#3d43e040#;
   pragma Export (C, u00127, "aws__client__http_utilsS");
   u00128 : constant Version_32 := 16#239b1678#;
   pragma Export (C, u00128, "ada__characters__handlingB");
   u00129 : constant Version_32 := 16#313e5d46#;
   pragma Export (C, u00129, "ada__characters__handlingS");
   u00130 : constant Version_32 := 16#34090881#;
   pragma Export (C, u00130, "ada__strings__maps__constantsS");
   u00131 : constant Version_32 := 16#de546c3f#;
   pragma Export (C, u00131, "aws__digestB");
   u00132 : constant Version_32 := 16#ce06d62b#;
   pragma Export (C, u00132, "aws__digestS");
   u00133 : constant Version_32 := 16#8db46565#;
   pragma Export (C, u00133, "ada__real_timeB");
   u00134 : constant Version_32 := 16#41de19c7#;
   pragma Export (C, u00134, "ada__real_timeS");
   u00135 : constant Version_32 := 16#08b07a85#;
   pragma Export (C, u00135, "system__arith_64B");
   u00136 : constant Version_32 := 16#b9c4855a#;
   pragma Export (C, u00136, "system__arith_64S");
   u00137 : constant Version_32 := 16#e3a166b3#;
   pragma Export (C, u00137, "system__taskingB");
   u00138 : constant Version_32 := 16#a2cc2493#;
   pragma Export (C, u00138, "system__taskingS");
   u00139 : constant Version_32 := 16#dcd399aa#;
   pragma Export (C, u00139, "system__task_primitivesS");
   u00140 : constant Version_32 := 16#2ad85054#;
   pragma Export (C, u00140, "system__os_interfaceB");
   u00141 : constant Version_32 := 16#c2f0ff26#;
   pragma Export (C, u00141, "system__os_interfaceS");
   u00142 : constant Version_32 := 16#9f2af92f#;
   pragma Export (C, u00142, "system__linuxS");
   u00143 : constant Version_32 := 16#39351696#;
   pragma Export (C, u00143, "system__os_constantsS");
   u00144 : constant Version_32 := 16#d18cfba2#;
   pragma Export (C, u00144, "system__task_primitives__operationsB");
   u00145 : constant Version_32 := 16#c52b4255#;
   pragma Export (C, u00145, "system__task_primitives__operationsS");
   u00146 : constant Version_32 := 16#903909a4#;
   pragma Export (C, u00146, "system__interrupt_managementB");
   u00147 : constant Version_32 := 16#dabe819f#;
   pragma Export (C, u00147, "system__interrupt_managementS");
   u00148 : constant Version_32 := 16#f65595cf#;
   pragma Export (C, u00148, "system__multiprocessorsB");
   u00149 : constant Version_32 := 16#a8880e62#;
   pragma Export (C, u00149, "system__multiprocessorsS");
   u00150 : constant Version_32 := 16#22d03640#;
   pragma Export (C, u00150, "system__os_primitivesB");
   u00151 : constant Version_32 := 16#20f51d38#;
   pragma Export (C, u00151, "system__os_primitivesS");
   u00152 : constant Version_32 := 16#395dd3e7#;
   pragma Export (C, u00152, "system__stack_checking__operationsB");
   u00153 : constant Version_32 := 16#64c2cb2b#;
   pragma Export (C, u00153, "system__stack_checking__operationsS");
   u00154 : constant Version_32 := 16#3d54d5f6#;
   pragma Export (C, u00154, "system__task_infoB");
   u00155 : constant Version_32 := 16#e814e751#;
   pragma Export (C, u00155, "system__task_infoS");
   u00156 : constant Version_32 := 16#74372fee#;
   pragma Export (C, u00156, "system__tasking__debugB");
   u00157 : constant Version_32 := 16#46dc5128#;
   pragma Export (C, u00157, "system__tasking__debugS");
   u00158 : constant Version_32 := 16#fd83e873#;
   pragma Export (C, u00158, "system__concat_2B");
   u00159 : constant Version_32 := 16#928446c1#;
   pragma Export (C, u00159, "system__concat_2S");
   u00160 : constant Version_32 := 16#2b70b149#;
   pragma Export (C, u00160, "system__concat_3B");
   u00161 : constant Version_32 := 16#9b54cdb4#;
   pragma Export (C, u00161, "system__concat_3S");
   u00162 : constant Version_32 := 16#a83b7c85#;
   pragma Export (C, u00162, "system__concat_6B");
   u00163 : constant Version_32 := 16#42e3bca3#;
   pragma Export (C, u00163, "system__concat_6S");
   u00164 : constant Version_32 := 16#608e2cd1#;
   pragma Export (C, u00164, "system__concat_5B");
   u00165 : constant Version_32 := 16#177ad23f#;
   pragma Export (C, u00165, "system__concat_5S");
   u00166 : constant Version_32 := 16#932a4690#;
   pragma Export (C, u00166, "system__concat_4B");
   u00167 : constant Version_32 := 16#ee40ba31#;
   pragma Export (C, u00167, "system__concat_4S");
   u00168 : constant Version_32 := 16#9777733a#;
   pragma Export (C, u00168, "system__img_lliB");
   u00169 : constant Version_32 := 16#816bc4c0#;
   pragma Export (C, u00169, "system__img_lliS");
   u00170 : constant Version_32 := 16#4e9d8c2e#;
   pragma Export (C, u00170, "system__stack_usageB");
   u00171 : constant Version_32 := 16#09222097#;
   pragma Export (C, u00171, "system__stack_usageS");
   u00172 : constant Version_32 := 16#e86db999#;
   pragma Export (C, u00172, "aws__translatorB");
   u00173 : constant Version_32 := 16#0bca3602#;
   pragma Export (C, u00173, "aws__translatorS");
   u00174 : constant Version_32 := 16#07c63e9c#;
   pragma Export (C, u00174, "aws__resourcesB");
   u00175 : constant Version_32 := 16#f71318ac#;
   pragma Export (C, u00175, "aws__resourcesS");
   u00176 : constant Version_32 := 16#23945241#;
   pragma Export (C, u00176, "aws__resources__embeddedB");
   u00177 : constant Version_32 := 16#f849ea1b#;
   pragma Export (C, u00177, "aws__resources__embeddedS");
   u00178 : constant Version_32 := 16#5e196e91#;
   pragma Export (C, u00178, "ada__containersS");
   u00179 : constant Version_32 := 16#654e2c4c#;
   pragma Export (C, u00179, "ada__containers__hash_tablesS");
   u00180 : constant Version_32 := 16#c24eaf4d#;
   pragma Export (C, u00180, "ada__containers__prime_numbersB");
   u00181 : constant Version_32 := 16#6d3af8ed#;
   pragma Export (C, u00181, "ada__containers__prime_numbersS");
   u00182 : constant Version_32 := 16#75de1dee#;
   pragma Export (C, u00182, "ada__strings__hashB");
   u00183 : constant Version_32 := 16#3655ad4c#;
   pragma Export (C, u00183, "ada__strings__hashS");
   u00184 : constant Version_32 := 16#23823b56#;
   pragma Export (C, u00184, "aws__resources__streamsB");
   u00185 : constant Version_32 := 16#e977adac#;
   pragma Export (C, u00185, "aws__resources__streamsS");
   u00186 : constant Version_32 := 16#48860332#;
   pragma Export (C, u00186, "aws__resources__streams__zlibB");
   u00187 : constant Version_32 := 16#a6153e9d#;
   pragma Export (C, u00187, "aws__resources__streams__zlibS");
   u00188 : constant Version_32 := 16#a7230bda#;
   pragma Export (C, u00188, "system__assertionsB");
   u00189 : constant Version_32 := 16#5da9bd85#;
   pragma Export (C, u00189, "system__assertionsS");
   u00190 : constant Version_32 := 16#6922fc88#;
   pragma Export (C, u00190, "system__strings__stream_opsB");
   u00191 : constant Version_32 := 16#5ed775a4#;
   pragma Export (C, u00191, "system__strings__stream_opsS");
   u00192 : constant Version_32 := 16#f47990db#;
   pragma Export (C, u00192, "aws__resources__streams__memoryB");
   u00193 : constant Version_32 := 16#ecd5a206#;
   pragma Export (C, u00193, "aws__resources__streams__memoryS");
   u00194 : constant Version_32 := 16#00f163bf#;
   pragma Export (C, u00194, "aws__containersS");
   u00195 : constant Version_32 := 16#ea28c859#;
   pragma Export (C, u00195, "aws__containers__memory_streamsB");
   u00196 : constant Version_32 := 16#9164a8f1#;
   pragma Export (C, u00196, "aws__containers__memory_streamsS");
   u00197 : constant Version_32 := 16#f01e3fbc#;
   pragma Export (C, u00197, "aws__utilsB");
   u00198 : constant Version_32 := 16#c9bd6edf#;
   pragma Export (C, u00198, "aws__utilsS");
   u00199 : constant Version_32 := 16#65712768#;
   pragma Export (C, u00199, "ada__calendarB");
   u00200 : constant Version_32 := 16#e791e294#;
   pragma Export (C, u00200, "ada__calendarS");
   u00201 : constant Version_32 := 16#e3cca715#;
   pragma Export (C, u00201, "ada__calendar__time_zonesB");
   u00202 : constant Version_32 := 16#98f012d7#;
   pragma Export (C, u00202, "ada__calendar__time_zonesS");
   u00203 : constant Version_32 := 16#f64b89a4#;
   pragma Export (C, u00203, "ada__integer_text_ioB");
   u00204 : constant Version_32 := 16#f1daf268#;
   pragma Export (C, u00204, "ada__integer_text_ioS");
   u00205 : constant Version_32 := 16#f6fdca1c#;
   pragma Export (C, u00205, "ada__text_io__integer_auxB");
   u00206 : constant Version_32 := 16#b9793d30#;
   pragma Export (C, u00206, "ada__text_io__integer_auxS");
   u00207 : constant Version_32 := 16#cd6ba629#;
   pragma Export (C, u00207, "ada__text_io__generic_auxB");
   u00208 : constant Version_32 := 16#a6c327d3#;
   pragma Export (C, u00208, "ada__text_io__generic_auxS");
   u00209 : constant Version_32 := 16#d48b4eeb#;
   pragma Export (C, u00209, "system__img_biuB");
   u00210 : constant Version_32 := 16#07008bf3#;
   pragma Export (C, u00210, "system__img_biuS");
   u00211 : constant Version_32 := 16#2b864520#;
   pragma Export (C, u00211, "system__img_llbB");
   u00212 : constant Version_32 := 16#46c79b0d#;
   pragma Export (C, u00212, "system__img_llbS");
   u00213 : constant Version_32 := 16#c2d63ebb#;
   pragma Export (C, u00213, "system__img_llwB");
   u00214 : constant Version_32 := 16#efabb89b#;
   pragma Export (C, u00214, "system__img_llwS");
   u00215 : constant Version_32 := 16#8ed53197#;
   pragma Export (C, u00215, "system__img_wiuB");
   u00216 : constant Version_32 := 16#69410c61#;
   pragma Export (C, u00216, "system__img_wiuS");
   u00217 : constant Version_32 := 16#f8f38c17#;
   pragma Export (C, u00217, "system__val_intB");
   u00218 : constant Version_32 := 16#d881bb2e#;
   pragma Export (C, u00218, "system__val_intS");
   u00219 : constant Version_32 := 16#4266b2a8#;
   pragma Export (C, u00219, "system__val_unsB");
   u00220 : constant Version_32 := 16#d18aee85#;
   pragma Export (C, u00220, "system__val_unsS");
   u00221 : constant Version_32 := 16#e892b88e#;
   pragma Export (C, u00221, "system__val_lliB");
   u00222 : constant Version_32 := 16#0a0077b1#;
   pragma Export (C, u00222, "system__val_lliS");
   u00223 : constant Version_32 := 16#84ad4a42#;
   pragma Export (C, u00223, "ada__numericsS");
   u00224 : constant Version_32 := 16#7620113d#;
   pragma Export (C, u00224, "ada__numerics__long_elementary_functionsB");
   u00225 : constant Version_32 := 16#3277c9ce#;
   pragma Export (C, u00225, "ada__numerics__long_elementary_functionsS");
   u00226 : constant Version_32 := 16#3e0cf54d#;
   pragma Export (C, u00226, "ada__numerics__auxB");
   u00227 : constant Version_32 := 16#9f6e24ed#;
   pragma Export (C, u00227, "ada__numerics__auxS");
   u00228 : constant Version_32 := 16#4f1f4f21#;
   pragma Export (C, u00228, "system__fat_llfS");
   u00229 : constant Version_32 := 16#9f9feadf#;
   pragma Export (C, u00229, "system__machine_codeS");
   u00230 : constant Version_32 := 16#0be1b996#;
   pragma Export (C, u00230, "system__exn_llfB");
   u00231 : constant Version_32 := 16#11a08ffe#;
   pragma Export (C, u00231, "system__exn_llfS");
   u00232 : constant Version_32 := 16#35cfe1cb#;
   pragma Export (C, u00232, "system__fat_lfltS");
   u00233 : constant Version_32 := 16#5cf80e25#;
   pragma Export (C, u00233, "ada__task_identificationB");
   u00234 : constant Version_32 := 16#f80e9cdd#;
   pragma Export (C, u00234, "ada__task_identificationS");
   u00235 : constant Version_32 := 16#cfd258fe#;
   pragma Export (C, u00235, "system__tasking__utilitiesB");
   u00236 : constant Version_32 := 16#39283e2c#;
   pragma Export (C, u00236, "system__tasking__utilitiesS");
   u00237 : constant Version_32 := 16#10015ee5#;
   pragma Export (C, u00237, "system__tasking__initializationB");
   u00238 : constant Version_32 := 16#f20398cb#;
   pragma Export (C, u00238, "system__tasking__initializationS");
   u00239 : constant Version_32 := 16#a6a45076#;
   pragma Export (C, u00239, "system__soft_links__taskingB");
   u00240 : constant Version_32 := 16#e47ef8be#;
   pragma Export (C, u00240, "system__soft_links__taskingS");
   u00241 : constant Version_32 := 16#17d21067#;
   pragma Export (C, u00241, "ada__exceptions__is_null_occurrenceB");
   u00242 : constant Version_32 := 16#30a405b9#;
   pragma Export (C, u00242, "ada__exceptions__is_null_occurrenceS");
   u00243 : constant Version_32 := 16#a5fc5d01#;
   pragma Export (C, u00243, "system__tasking__queuingB");
   u00244 : constant Version_32 := 16#3d02e133#;
   pragma Export (C, u00244, "system__tasking__queuingS");
   u00245 : constant Version_32 := 16#65fc3619#;
   pragma Export (C, u00245, "system__tasking__protected_objectsB");
   u00246 : constant Version_32 := 16#6fa056d1#;
   pragma Export (C, u00246, "system__tasking__protected_objectsS");
   u00247 : constant Version_32 := 16#ee80728a#;
   pragma Export (C, u00247, "system__tracesB");
   u00248 : constant Version_32 := 16#6239f9bb#;
   pragma Export (C, u00248, "system__tracesS");
   u00249 : constant Version_32 := 16#f4f232d3#;
   pragma Export (C, u00249, "system__tasking__protected_objects__entriesB");
   u00250 : constant Version_32 := 16#4d64e3b6#;
   pragma Export (C, u00250, "system__tasking__protected_objects__entriesS");
   u00251 : constant Version_32 := 16#100eaf58#;
   pragma Export (C, u00251, "system__restrictionsB");
   u00252 : constant Version_32 := 16#7706b620#;
   pragma Export (C, u00252, "system__restrictionsS");
   u00253 : constant Version_32 := 16#bd6fc52e#;
   pragma Export (C, u00253, "system__traces__taskingB");
   u00254 : constant Version_32 := 16#33a47127#;
   pragma Export (C, u00254, "system__traces__taskingS");
   u00255 : constant Version_32 := 16#d5f9759f#;
   pragma Export (C, u00255, "ada__text_io__float_auxB");
   u00256 : constant Version_32 := 16#f854caf5#;
   pragma Export (C, u00256, "ada__text_io__float_auxS");
   u00257 : constant Version_32 := 16#56e74f1a#;
   pragma Export (C, u00257, "system__img_realB");
   u00258 : constant Version_32 := 16#578cc0f3#;
   pragma Export (C, u00258, "system__img_realS");
   u00259 : constant Version_32 := 16#1b28662b#;
   pragma Export (C, u00259, "system__float_controlB");
   u00260 : constant Version_32 := 16#70d8d22d#;
   pragma Export (C, u00260, "system__float_controlS");
   u00261 : constant Version_32 := 16#3da6be5a#;
   pragma Export (C, u00261, "system__img_lluB");
   u00262 : constant Version_32 := 16#88eb037d#;
   pragma Export (C, u00262, "system__img_lluS");
   u00263 : constant Version_32 := 16#22ab03a2#;
   pragma Export (C, u00263, "system__img_unsB");
   u00264 : constant Version_32 := 16#5ed63f49#;
   pragma Export (C, u00264, "system__img_unsS");
   u00265 : constant Version_32 := 16#c054f766#;
   pragma Export (C, u00265, "system__powten_tableS");
   u00266 : constant Version_32 := 16#8ff77155#;
   pragma Export (C, u00266, "system__val_realB");
   u00267 : constant Version_32 := 16#6e0de600#;
   pragma Export (C, u00267, "system__val_realS");
   u00268 : constant Version_32 := 16#55e7548b#;
   pragma Export (C, u00268, "aws__os_libS");
   u00269 : constant Version_32 := 16#fd2ad2f1#;
   pragma Export (C, u00269, "gnatS");
   u00270 : constant Version_32 := 16#8328c314#;
   pragma Export (C, u00270, "gnat__os_libS");
   u00271 : constant Version_32 := 16#48973b17#;
   pragma Export (C, u00271, "interfaces__c__stringsB");
   u00272 : constant Version_32 := 16#603c1c44#;
   pragma Export (C, u00272, "interfaces__c__stringsS");
   u00273 : constant Version_32 := 16#dd13bf65#;
   pragma Export (C, u00273, "system__exn_lliB");
   u00274 : constant Version_32 := 16#11b3eabe#;
   pragma Export (C, u00274, "system__exn_lliS");
   u00275 : constant Version_32 := 16#276453b7#;
   pragma Export (C, u00275, "system__img_lldB");
   u00276 : constant Version_32 := 16#63069878#;
   pragma Export (C, u00276, "system__img_lldS");
   u00277 : constant Version_32 := 16#8da1623b#;
   pragma Export (C, u00277, "system__img_decB");
   u00278 : constant Version_32 := 16#3e0998ca#;
   pragma Export (C, u00278, "system__img_decS");
   u00279 : constant Version_32 := 16#fb675641#;
   pragma Export (C, u00279, "system__random_numbersB");
   u00280 : constant Version_32 := 16#a73a1fa2#;
   pragma Export (C, u00280, "system__random_numbersS");
   u00281 : constant Version_32 := 16#7d397bc7#;
   pragma Export (C, u00281, "system__random_seedB");
   u00282 : constant Version_32 := 16#f82c5b9b#;
   pragma Export (C, u00282, "system__random_seedS");
   u00283 : constant Version_32 := 16#3852d274#;
   pragma Export (C, u00283, "system__tasking__protected_objects__operationsB");
   u00284 : constant Version_32 := 16#415d7a1b#;
   pragma Export (C, u00284, "system__tasking__protected_objects__operationsS");
   u00285 : constant Version_32 := 16#e57c2b4c#;
   pragma Export (C, u00285, "system__tasking__entry_callsB");
   u00286 : constant Version_32 := 16#e5160f9e#;
   pragma Export (C, u00286, "system__tasking__entry_callsS");
   u00287 : constant Version_32 := 16#a56b69a7#;
   pragma Export (C, u00287, "system__tasking__rendezvousB");
   u00288 : constant Version_32 := 16#d7d33e30#;
   pragma Export (C, u00288, "system__tasking__rendezvousS");
   u00289 : constant Version_32 := 16#76ecd488#;
   pragma Export (C, u00289, "ada__directoriesB");
   u00290 : constant Version_32 := 16#f30e1143#;
   pragma Export (C, u00290, "ada__directoriesS");
   u00291 : constant Version_32 := 16#7a13e6d7#;
   pragma Export (C, u00291, "ada__calendar__formattingB");
   u00292 : constant Version_32 := 16#929f882b#;
   pragma Export (C, u00292, "ada__calendar__formattingS");
   u00293 : constant Version_32 := 16#e559f18d#;
   pragma Export (C, u00293, "ada__directories__validityB");
   u00294 : constant Version_32 := 16#a2334639#;
   pragma Export (C, u00294, "ada__directories__validityS");
   u00295 : constant Version_32 := 16#42bbaf9d#;
   pragma Export (C, u00295, "system__file_attributesS");
   u00296 : constant Version_32 := 16#933fac2f#;
   pragma Export (C, u00296, "system__regexpB");
   u00297 : constant Version_32 := 16#5eb56aad#;
   pragma Export (C, u00297, "system__regexpS");
   u00298 : constant Version_32 := 16#6248ea01#;
   pragma Export (C, u00298, "templates_parserB");
   u00299 : constant Version_32 := 16#dffd4d26#;
   pragma Export (C, u00299, "templates_parserS");
   u00300 : constant Version_32 := 16#e4e8fcd4#;
   pragma Export (C, u00300, "ada__strings__hash_case_insensitiveB");
   u00301 : constant Version_32 := 16#f9e6d5c1#;
   pragma Export (C, u00301, "ada__strings__hash_case_insensitiveS");
   u00302 : constant Version_32 := 16#e1f42065#;
   pragma Export (C, u00302, "gnat__calendarB");
   u00303 : constant Version_32 := 16#d73dae4e#;
   pragma Export (C, u00303, "gnat__calendarS");
   u00304 : constant Version_32 := 16#8ac38e7e#;
   pragma Export (C, u00304, "gnat__calendar__time_ioB");
   u00305 : constant Version_32 := 16#1efff27c#;
   pragma Export (C, u00305, "gnat__calendar__time_ioS");
   u00306 : constant Version_32 := 16#d37ed4a2#;
   pragma Export (C, u00306, "gnat__case_utilB");
   u00307 : constant Version_32 := 16#d6115050#;
   pragma Export (C, u00307, "gnat__case_utilS");
   u00308 : constant Version_32 := 16#c72dc161#;
   pragma Export (C, u00308, "gnat__regpatS");
   u00309 : constant Version_32 := 16#bdd60d40#;
   pragma Export (C, u00309, "system__regpatB");
   u00310 : constant Version_32 := 16#127e0a6e#;
   pragma Export (C, u00310, "system__regpatS");
   u00311 : constant Version_32 := 16#2b93a046#;
   pragma Export (C, u00311, "system__img_charB");
   u00312 : constant Version_32 := 16#0c10c9f6#;
   pragma Export (C, u00312, "system__img_charS");
   u00313 : constant Version_32 := 16#7970d26c#;
   pragma Export (C, u00313, "templates_parser__configurationS");
   u00314 : constant Version_32 := 16#3d77b01f#;
   pragma Export (C, u00314, "templates_parser__inputB");
   u00315 : constant Version_32 := 16#08e39ca1#;
   pragma Export (C, u00315, "templates_parser__inputS");
   u00316 : constant Version_32 := 16#00bf7b62#;
   pragma Export (C, u00316, "templates_parser__utilsB");
   u00317 : constant Version_32 := 16#0dfdb513#;
   pragma Export (C, u00317, "templates_parser__utilsS");
   u00318 : constant Version_32 := 16#e5789238#;
   pragma Export (C, u00318, "ada__environment_variablesB");
   u00319 : constant Version_32 := 16#3ff48a0e#;
   pragma Export (C, u00319, "ada__environment_variablesS");
   u00320 : constant Version_32 := 16#4602c6ec#;
   pragma Export (C, u00320, "templates_parser_taskingB");
   u00321 : constant Version_32 := 16#4c0209f0#;
   pragma Export (C, u00321, "templates_parser_taskingS");
   u00322 : constant Version_32 := 16#067abc3d#;
   pragma Export (C, u00322, "memory_streamsB");
   u00323 : constant Version_32 := 16#e7c465d7#;
   pragma Export (C, u00323, "memory_streamsS");
   u00324 : constant Version_32 := 16#940634e4#;
   pragma Export (C, u00324, "aws__resources__filesB");
   u00325 : constant Version_32 := 16#3de30e34#;
   pragma Export (C, u00325, "aws__resources__filesS");
   u00326 : constant Version_32 := 16#fd955264#;
   pragma Export (C, u00326, "aws__resources__streams__diskB");
   u00327 : constant Version_32 := 16#eaf5c4e0#;
   pragma Export (C, u00327, "aws__resources__streams__diskS");
   u00328 : constant Version_32 := 16#191b04d3#;
   pragma Export (C, u00328, "aws__resources__streams__memory__zlibB");
   u00329 : constant Version_32 := 16#18a1c553#;
   pragma Export (C, u00329, "aws__resources__streams__memory__zlibS");
   u00330 : constant Version_32 := 16#bb55398e#;
   pragma Export (C, u00330, "gnat__md5B");
   u00331 : constant Version_32 := 16#a37b6fea#;
   pragma Export (C, u00331, "gnat__md5S");
   u00332 : constant Version_32 := 16#71e55139#;
   pragma Export (C, u00332, "gnat__secure_hashesB");
   u00333 : constant Version_32 := 16#14386e9f#;
   pragma Export (C, u00333, "gnat__secure_hashesS");
   u00334 : constant Version_32 := 16#462993a2#;
   pragma Export (C, u00334, "gnat__secure_hashes__md5B");
   u00335 : constant Version_32 := 16#b25c6982#;
   pragma Export (C, u00335, "gnat__secure_hashes__md5S");
   u00336 : constant Version_32 := 16#45efda4c#;
   pragma Export (C, u00336, "gnat__byte_swappingB");
   u00337 : constant Version_32 := 16#c9dc55d9#;
   pragma Export (C, u00337, "gnat__byte_swappingS");
   u00338 : constant Version_32 := 16#e9b8e551#;
   pragma Export (C, u00338, "system__byte_swappingS");
   u00339 : constant Version_32 := 16#ffb9a01d#;
   pragma Export (C, u00339, "aws__headersB");
   u00340 : constant Version_32 := 16#71228caf#;
   pragma Export (C, u00340, "aws__headersS");
   u00341 : constant Version_32 := 16#5c85a086#;
   pragma Export (C, u00341, "aws__netB");
   u00342 : constant Version_32 := 16#a735a658#;
   pragma Export (C, u00342, "aws__netS");
   u00343 : constant Version_32 := 16#098f889b#;
   pragma Export (C, u00343, "aws__net__logB");
   u00344 : constant Version_32 := 16#176fa800#;
   pragma Export (C, u00344, "aws__net__logS");
   u00345 : constant Version_32 := 16#3f30cbed#;
   pragma Export (C, u00345, "aws__net__poll_eventsB");
   u00346 : constant Version_32 := 16#3208cfbb#;
   pragma Export (C, u00346, "aws__net__poll_eventsS");
   u00347 : constant Version_32 := 16#eeb224f4#;
   pragma Export (C, u00347, "aws__net__sslB");
   u00348 : constant Version_32 := 16#36155db5#;
   pragma Export (C, u00348, "aws__net__sslS");
   u00349 : constant Version_32 := 16#d6a2decd#;
   pragma Export (C, u00349, "ada__calendar__delaysB");
   u00350 : constant Version_32 := 16#474dd4b1#;
   pragma Export (C, u00350, "ada__calendar__delaysS");
   u00351 : constant Version_32 := 16#3cfc489f#;
   pragma Export (C, u00351, "aws__configB");
   u00352 : constant Version_32 := 16#1576e85c#;
   pragma Export (C, u00352, "aws__configS");
   u00353 : constant Version_32 := 16#42ad617c#;
   pragma Export (C, u00353, "aws__config__iniB");
   u00354 : constant Version_32 := 16#de53fd0f#;
   pragma Export (C, u00354, "aws__config__iniS");
   u00355 : constant Version_32 := 16#8c2ac8f2#;
   pragma Export (C, u00355, "aws__config__utilsB");
   u00356 : constant Version_32 := 16#3f7512c1#;
   pragma Export (C, u00356, "aws__config__utilsS");
   u00357 : constant Version_32 := 16#ce3b3bb9#;
   pragma Export (C, u00357, "aws__net__bufferedB");
   u00358 : constant Version_32 := 16#23484d11#;
   pragma Export (C, u00358, "aws__net__bufferedS");
   u00359 : constant Version_32 := 16#139c3892#;
   pragma Export (C, u00359, "aws__defaultS");
   u00360 : constant Version_32 := 16#f89f7823#;
   pragma Export (C, u00360, "system__val_boolB");
   u00361 : constant Version_32 := 16#6ab6fd0f#;
   pragma Export (C, u00361, "system__val_boolS");
   u00362 : constant Version_32 := 16#4b37b589#;
   pragma Export (C, u00362, "system__val_enumB");
   u00363 : constant Version_32 := 16#2b3ed384#;
   pragma Export (C, u00363, "system__val_enumS");
   u00364 : constant Version_32 := 16#b5692847#;
   pragma Export (C, u00364, "aws__containers__string_vectorsB");
   u00365 : constant Version_32 := 16#1d943e23#;
   pragma Export (C, u00365, "aws__containers__string_vectorsS");
   u00366 : constant Version_32 := 16#084c16d0#;
   pragma Export (C, u00366, "gnat__regexpS");
   u00367 : constant Version_32 := 16#980710db#;
   pragma Export (C, u00367, "aws__net__ssl__certificateB");
   u00368 : constant Version_32 := 16#ddf05f44#;
   pragma Export (C, u00368, "aws__net__ssl__certificateS");
   u00369 : constant Version_32 := 16#1a9b4edf#;
   pragma Export (C, u00369, "aws__net__ssl__certificate__implB");
   u00370 : constant Version_32 := 16#783348d4#;
   pragma Export (C, u00370, "aws__net__ssl__certificate__implS");
   u00371 : constant Version_32 := 16#44bf6b2d#;
   pragma Export (C, u00371, "ada__calendar__conversionsB");
   u00372 : constant Version_32 := 16#0dbd09a8#;
   pragma Export (C, u00372, "ada__calendar__conversionsS");
   u00373 : constant Version_32 := 16#72140dcf#;
   pragma Export (C, u00373, "sslS");
   u00374 : constant Version_32 := 16#b0d708a1#;
   pragma Export (C, u00374, "ssl__thinS");
   u00375 : constant Version_32 := 16#1e2a6d53#;
   pragma Export (C, u00375, "aws__net__stdB");
   u00376 : constant Version_32 := 16#5d1c3a62#;
   pragma Export (C, u00376, "aws__net__stdS");
   u00377 : constant Version_32 := 16#bc97e1c4#;
   pragma Export (C, u00377, "aws__containers__tablesB");
   u00378 : constant Version_32 := 16#ccd72c09#;
   pragma Export (C, u00378, "aws__containers__tablesS");
   u00379 : constant Version_32 := 16#d9473c8c#;
   pragma Export (C, u00379, "ada__containers__red_black_treesS");
   u00380 : constant Version_32 := 16#e3b6cd4a#;
   pragma Export (C, u00380, "aws__headers__setB");
   u00381 : constant Version_32 := 16#ea43438c#;
   pragma Export (C, u00381, "aws__headers__setS");
   u00382 : constant Version_32 := 16#99ca9f94#;
   pragma Export (C, u00382, "aws__containers__tables__setB");
   u00383 : constant Version_32 := 16#9a446e2e#;
   pragma Export (C, u00383, "aws__containers__tables__setS");
   u00384 : constant Version_32 := 16#9aa49cd6#;
   pragma Export (C, u00384, "aws__headers__valuesB");
   u00385 : constant Version_32 := 16#324be5d4#;
   pragma Export (C, u00385, "aws__headers__valuesS");
   u00386 : constant Version_32 := 16#12d51457#;
   pragma Export (C, u00386, "aws__messagesB");
   u00387 : constant Version_32 := 16#033b8fda#;
   pragma Export (C, u00387, "aws__messagesS");
   u00388 : constant Version_32 := 16#a29dff49#;
   pragma Export (C, u00388, "aws__mimeB");
   u00389 : constant Version_32 := 16#d623afba#;
   pragma Export (C, u00389, "aws__mimeS");
   u00390 : constant Version_32 := 16#374658a5#;
   pragma Export (C, u00390, "aws__responseB");
   u00391 : constant Version_32 := 16#253e915a#;
   pragma Export (C, u00391, "aws__responseS");
   u00392 : constant Version_32 := 16#7d894acf#;
   pragma Export (C, u00392, "aws__resources__streams__disk__onceB");
   u00393 : constant Version_32 := 16#d13e0a43#;
   pragma Export (C, u00393, "aws__resources__streams__disk__onceS");
   u00394 : constant Version_32 := 16#e7987c7e#;
   pragma Export (C, u00394, "aws__response__setB");
   u00395 : constant Version_32 := 16#6289a834#;
   pragma Export (C, u00395, "aws__response__setS");
   u00396 : constant Version_32 := 16#6d502a6c#;
   pragma Export (C, u00396, "aws__statusB");
   u00397 : constant Version_32 := 16#22178a42#;
   pragma Export (C, u00397, "aws__statusS");
   u00398 : constant Version_32 := 16#13fde8c6#;
   pragma Export (C, u00398, "system__fat_fltS");
   u00399 : constant Version_32 := 16#9a530cd4#;
   pragma Export (C, u00399, "aws__attachmentsB");
   u00400 : constant Version_32 := 16#2268711b#;
   pragma Export (C, u00400, "aws__attachmentsS");
   u00401 : constant Version_32 := 16#677c101f#;
   pragma Export (C, u00401, "aws__parametersB");
   u00402 : constant Version_32 := 16#3a1a9068#;
   pragma Export (C, u00402, "aws__parametersS");
   u00403 : constant Version_32 := 16#31d193fc#;
   pragma Export (C, u00403, "aws__sessionB");
   u00404 : constant Version_32 := 16#e2794490#;
   pragma Export (C, u00404, "aws__sessionS");
   u00405 : constant Version_32 := 16#f3f917f0#;
   pragma Export (C, u00405, "aws__containers__key_valueB");
   u00406 : constant Version_32 := 16#a814f5fd#;
   pragma Export (C, u00406, "aws__containers__key_valueS");
   u00407 : constant Version_32 := 16#75de7e55#;
   pragma Export (C, u00407, "aws__utils__streamsB");
   u00408 : constant Version_32 := 16#e3a06472#;
   pragma Export (C, u00408, "aws__utils__streamsS");
   u00409 : constant Version_32 := 16#077f0b47#;
   pragma Export (C, u00409, "gnat__sha1B");
   u00410 : constant Version_32 := 16#0cc2f93f#;
   pragma Export (C, u00410, "gnat__sha1S");
   u00411 : constant Version_32 := 16#cadfacae#;
   pragma Export (C, u00411, "gnat__secure_hashes__sha1B");
   u00412 : constant Version_32 := 16#a1cfcd9e#;
   pragma Export (C, u00412, "gnat__secure_hashes__sha1S");
   u00413 : constant Version_32 := 16#f8794da0#;
   pragma Export (C, u00413, "system__tasking__stagesB");
   u00414 : constant Version_32 := 16#a64e9461#;
   pragma Export (C, u00414, "system__tasking__stagesS");
   u00415 : constant Version_32 := 16#16a8772c#;
   pragma Export (C, u00415, "aws__urlB");
   u00416 : constant Version_32 := 16#ad221b23#;
   pragma Export (C, u00416, "aws__urlS");
   u00417 : constant Version_32 := 16#daf4210b#;
   pragma Export (C, u00417, "aws__url__raise_url_errorB");
   u00418 : constant Version_32 := 16#f16a29a7#;
   pragma Export (C, u00418, "aws__url__raise_url_errorS");
   u00419 : constant Version_32 := 16#d37f82da#;
   pragma Export (C, u00419, "aws__url__setB");
   u00420 : constant Version_32 := 16#9e90154b#;
   pragma Export (C, u00420, "aws__url__setS");
   u00421 : constant Version_32 := 16#5ae404a2#;
   pragma Export (C, u00421, "aws__parameters__setB");
   u00422 : constant Version_32 := 16#cd0a685a#;
   pragma Export (C, u00422, "aws__parameters__setS");
   u00423 : constant Version_32 := 16#a7d1d0c6#;
   pragma Export (C, u00423, "aws__serverB");
   u00424 : constant Version_32 := 16#9d97341b#;
   pragma Export (C, u00424, "aws__serverS");
   u00425 : constant Version_32 := 16#55c6135b#;
   pragma Export (C, u00425, "aws__config__setB");
   u00426 : constant Version_32 := 16#dd7d712f#;
   pragma Export (C, u00426, "aws__config__setS");
   u00427 : constant Version_32 := 16#9326a64f#;
   pragma Export (C, u00427, "aws__dispatchersB");
   u00428 : constant Version_32 := 16#bea6d82c#;
   pragma Export (C, u00428, "aws__dispatchersS");
   u00429 : constant Version_32 := 16#81e6eced#;
   pragma Export (C, u00429, "aws__dispatchers__callbackB");
   u00430 : constant Version_32 := 16#f1d0ce2a#;
   pragma Export (C, u00430, "aws__dispatchers__callbackS");
   u00431 : constant Version_32 := 16#4009e10c#;
   pragma Export (C, u00431, "aws__logB");
   u00432 : constant Version_32 := 16#d86ab58b#;
   pragma Export (C, u00432, "aws__logS");
   u00433 : constant Version_32 := 16#6e1ddb96#;
   pragma Export (C, u00433, "ada__text_io__c_streamsB");
   u00434 : constant Version_32 := 16#79aa361a#;
   pragma Export (C, u00434, "ada__text_io__c_streamsS");
   u00435 : constant Version_32 := 16#dce3cdf8#;
   pragma Export (C, u00435, "aws__net__websocketB");
   u00436 : constant Version_32 := 16#8af39316#;
   pragma Export (C, u00436, "aws__net__websocketS");
   u00437 : constant Version_32 := 16#3bfc5616#;
   pragma Export (C, u00437, "aws__net__websocket__protocolS");
   u00438 : constant Version_32 := 16#f70a0ee8#;
   pragma Export (C, u00438, "aws__net__websocket__protocol__draft76B");
   u00439 : constant Version_32 := 16#b2357620#;
   pragma Export (C, u00439, "aws__net__websocket__protocol__draft76S");
   u00440 : constant Version_32 := 16#89fb4fbd#;
   pragma Export (C, u00440, "aws__net__websocket__protocol__rfc6455B");
   u00441 : constant Version_32 := 16#04787004#;
   pragma Export (C, u00441, "aws__net__websocket__protocol__rfc6455S");
   u00442 : constant Version_32 := 16#d2047964#;
   pragma Export (C, u00442, "aws__net__websocket__registryB");
   u00443 : constant Version_32 := 16#2b4333b0#;
   pragma Export (C, u00443, "aws__net__websocket__registryS");
   u00444 : constant Version_32 := 16#b2ed72d3#;
   pragma Export (C, u00444, "aws__net__generic_setsB");
   u00445 : constant Version_32 := 16#1fa1cb67#;
   pragma Export (C, u00445, "aws__net__generic_setsS");
   u00446 : constant Version_32 := 16#c95b688e#;
   pragma Export (C, u00446, "aws__net__websocket__registry__controlB");
   u00447 : constant Version_32 := 16#3605382d#;
   pragma Export (C, u00447, "aws__net__websocket__registry__controlS");
   u00448 : constant Version_32 := 16#0ee287fe#;
   pragma Export (C, u00448, "aws__server__http_utilsB");
   u00449 : constant Version_32 := 16#a2c1e0a8#;
   pragma Export (C, u00449, "aws__server__http_utilsS");
   u00450 : constant Version_32 := 16#77be6797#;
   pragma Export (C, u00450, "aws__hotplugB");
   u00451 : constant Version_32 := 16#9c83d362#;
   pragma Export (C, u00451, "aws__hotplugS");
   u00452 : constant Version_32 := 16#d0326ccf#;
   pragma Export (C, u00452, "aws__net__websocket__registry__watchB");
   u00453 : constant Version_32 := 16#cb08cdbe#;
   pragma Export (C, u00453, "aws__net__websocket__registry__watchS");
   u00454 : constant Version_32 := 16#8ea56dbf#;
   pragma Export (C, u00454, "aws__server__get_statusB");
   u00455 : constant Version_32 := 16#d1053f28#;
   pragma Export (C, u00455, "aws__server__get_statusS");
   u00456 : constant Version_32 := 16#7ef09c8b#;
   pragma Export (C, u00456, "aws__server__statusB");
   u00457 : constant Version_32 := 16#1c07e82e#;
   pragma Export (C, u00457, "aws__server__statusS");
   u00458 : constant Version_32 := 16#ecde5bae#;
   pragma Export (C, u00458, "aws__hotplug__get_statusB");
   u00459 : constant Version_32 := 16#3b02dcb0#;
   pragma Export (C, u00459, "aws__hotplug__get_statusS");
   u00460 : constant Version_32 := 16#59ee1aaa#;
   pragma Export (C, u00460, "aws__server__logB");
   u00461 : constant Version_32 := 16#e4604a66#;
   pragma Export (C, u00461, "aws__server__logS");
   u00462 : constant Version_32 := 16#55377b3f#;
   pragma Export (C, u00462, "aws__templatesS");
   u00463 : constant Version_32 := 16#1777775e#;
   pragma Export (C, u00463, "aws__status__setB");
   u00464 : constant Version_32 := 16#4579bade#;
   pragma Export (C, u00464, "aws__status__setS");
   u00465 : constant Version_32 := 16#f1dd50c0#;
   pragma Export (C, u00465, "aws__servicesS");
   u00466 : constant Version_32 := 16#82e32990#;
   pragma Export (C, u00466, "aws__services__transient_pagesB");
   u00467 : constant Version_32 := 16#9765f1a9#;
   pragma Export (C, u00467, "aws__services__transient_pagesS");
   u00468 : constant Version_32 := 16#7609b0d0#;
   pragma Export (C, u00468, "ada__real_time__delaysB");
   u00469 : constant Version_32 := 16#6becaccd#;
   pragma Export (C, u00469, "ada__real_time__delaysS");
   u00470 : constant Version_32 := 16#9d530a35#;
   pragma Export (C, u00470, "aws__services__transient_pages__controlB");
   u00471 : constant Version_32 := 16#a316ebfd#;
   pragma Export (C, u00471, "aws__services__transient_pages__controlS");
   u00472 : constant Version_32 := 16#124ac81a#;
   pragma Export (C, u00472, "aws__session__controlB");
   u00473 : constant Version_32 := 16#da30bf75#;
   pragma Export (C, u00473, "aws__session__controlS");
   u00474 : constant Version_32 := 16#7e37ec9f#;
   pragma Export (C, u00474, "aws__status__translate_setB");
   u00475 : constant Version_32 := 16#d0739b66#;
   pragma Export (C, u00475, "aws__status__translate_setS");
   u00476 : constant Version_32 := 16#a9b11022#;
   pragma Export (C, u00476, "aws__exceptionsS");
   u00477 : constant Version_32 := 16#e9ef1f1e#;
   pragma Export (C, u00477, "aws__net__acceptorsB");
   u00478 : constant Version_32 := 16#a6075eb9#;
   pragma Export (C, u00478, "aws__net__acceptorsS");
   u00479 : constant Version_32 := 16#b413adc2#;
   pragma Export (C, u00479, "system__tasking__task_attributesB");
   u00480 : constant Version_32 := 16#d35f58bd#;
   pragma Export (C, u00480, "system__tasking__task_attributesS");
   u00481 : constant Version_32 := 16#f4c4af80#;
   pragma Export (C, u00481, "gnat__command_lineB");
   u00482 : constant Version_32 := 16#39f9713b#;
   pragma Export (C, u00482, "gnat__command_lineS");
   u00483 : constant Version_32 := 16#bf5871a1#;
   pragma Export (C, u00483, "gnat__directory_operationsB");
   u00484 : constant Version_32 := 16#65ba3123#;
   pragma Export (C, u00484, "gnat__directory_operationsS");
   u00485 : constant Version_32 := 16#b4645806#;
   pragma Export (C, u00485, "gnat__stringsS");
   u00486 : constant Version_32 := 16#dbf24c7a#;
   pragma Export (C, u00486, "gnat__string_splitB");
   u00487 : constant Version_32 := 16#744119fb#;
   pragma Export (C, u00487, "gnat__string_splitS");
   u00488 : constant Version_32 := 16#00dbccb2#;
   pragma Export (C, u00488, "soapS");
   u00489 : constant Version_32 := 16#12b06fd5#;
   pragma Export (C, u00489, "soap__generatorB");
   u00490 : constant Version_32 := 16#f5211f32#;
   pragma Export (C, u00490, "soap__generatorS");
   u00491 : constant Version_32 := 16#d4a6d458#;
   pragma Export (C, u00491, "soap__clientB");
   u00492 : constant Version_32 := 16#56990ee8#;
   pragma Export (C, u00492, "soap__clientS");
   u00493 : constant Version_32 := 16#4fff9c00#;
   pragma Export (C, u00493, "soap__messageB");
   u00494 : constant Version_32 := 16#1f7c7d80#;
   pragma Export (C, u00494, "soap__messageS");
   u00495 : constant Version_32 := 16#229474aa#;
   pragma Export (C, u00495, "soap__typesB");
   u00496 : constant Version_32 := 16#6ae700b9#;
   pragma Export (C, u00496, "soap__typesS");
   u00497 : constant Version_32 := 16#e18a47a0#;
   pragma Export (C, u00497, "ada__float_text_ioB");
   u00498 : constant Version_32 := 16#e61b3c6c#;
   pragma Export (C, u00498, "ada__float_text_ioS");
   u00499 : constant Version_32 := 16#4969a46f#;
   pragma Export (C, u00499, "ada__long_float_text_ioB");
   u00500 : constant Version_32 := 16#4ef8dfa3#;
   pragma Export (C, u00500, "ada__long_float_text_ioS");
   u00501 : constant Version_32 := 16#12244c57#;
   pragma Export (C, u00501, "soap__types__untypedB");
   u00502 : constant Version_32 := 16#3a95d201#;
   pragma Export (C, u00502, "soap__types__untypedS");
   u00503 : constant Version_32 := 16#2aa25121#;
   pragma Export (C, u00503, "soap__name_spaceB");
   u00504 : constant Version_32 := 16#fb09e658#;
   pragma Export (C, u00504, "soap__name_spaceS");
   u00505 : constant Version_32 := 16#bccec334#;
   pragma Export (C, u00505, "soap__utilsB");
   u00506 : constant Version_32 := 16#2a3bcde3#;
   pragma Export (C, u00506, "soap__utilsS");
   u00507 : constant Version_32 := 16#2ea4725e#;
   pragma Export (C, u00507, "soap__message__xmlB");
   u00508 : constant Version_32 := 16#7767ca47#;
   pragma Export (C, u00508, "soap__message__xmlS");
   u00509 : constant Version_32 := 16#d195ef52#;
   pragma Export (C, u00509, "aws__client__xmlS");
   u00510 : constant Version_32 := 16#3cae41ac#;
   pragma Export (C, u00510, "aws__client__xml__input_sourcesB");
   u00511 : constant Version_32 := 16#396a8075#;
   pragma Export (C, u00511, "aws__client__xml__input_sourcesS");
   u00512 : constant Version_32 := 16#d6ff7bd1#;
   pragma Export (C, u00512, "unicodeB");
   u00513 : constant Version_32 := 16#9ecc9bd9#;
   pragma Export (C, u00513, "unicodeS");
   u00514 : constant Version_32 := 16#600be4ac#;
   pragma Export (C, u00514, "unicode__namesS");
   u00515 : constant Version_32 := 16#e0b5339a#;
   pragma Export (C, u00515, "unicode__names__basic_latinS");
   u00516 : constant Version_32 := 16#50a7378d#;
   pragma Export (C, u00516, "unicode__ccsB");
   u00517 : constant Version_32 := 16#8682b207#;
   pragma Export (C, u00517, "unicode__ccsS");
   u00518 : constant Version_32 := 16#6a391607#;
   pragma Export (C, u00518, "unicode__cesB");
   u00519 : constant Version_32 := 16#d77cd5d6#;
   pragma Export (C, u00519, "unicode__cesS");
   u00520 : constant Version_32 := 16#ad1d2052#;
   pragma Export (C, u00520, "unicode__ces__utf16B");
   u00521 : constant Version_32 := 16#76c334e3#;
   pragma Export (C, u00521, "unicode__ces__utf16S");
   u00522 : constant Version_32 := 16#b37b69da#;
   pragma Export (C, u00522, "unicode__ces__utf32B");
   u00523 : constant Version_32 := 16#e40e527d#;
   pragma Export (C, u00523, "unicode__ces__utf32S");
   u00524 : constant Version_32 := 16#698a606d#;
   pragma Export (C, u00524, "unicode__ces__utf8B");
   u00525 : constant Version_32 := 16#6009b1dc#;
   pragma Export (C, u00525, "unicode__ces__utf8S");
   u00526 : constant Version_32 := 16#99536319#;
   pragma Export (C, u00526, "input_sourcesB");
   u00527 : constant Version_32 := 16#d5df6f37#;
   pragma Export (C, u00527, "input_sourcesS");
   u00528 : constant Version_32 := 16#ba342546#;
   pragma Export (C, u00528, "unicode__ces__basic_8bitB");
   u00529 : constant Version_32 := 16#4161d344#;
   pragma Export (C, u00529, "unicode__ces__basic_8bitS");
   u00530 : constant Version_32 := 16#b03c362a#;
   pragma Export (C, u00530, "unicode__encodingsB");
   u00531 : constant Version_32 := 16#373ed31e#;
   pragma Export (C, u00531, "unicode__encodingsS");
   u00532 : constant Version_32 := 16#40c69be5#;
   pragma Export (C, u00532, "unicode__ccs__iso_8859_1B");
   u00533 : constant Version_32 := 16#8e38bcbd#;
   pragma Export (C, u00533, "unicode__ccs__iso_8859_1S");
   u00534 : constant Version_32 := 16#3926506f#;
   pragma Export (C, u00534, "unicode__ccs__iso_8859_15B");
   u00535 : constant Version_32 := 16#92feba06#;
   pragma Export (C, u00535, "unicode__ccs__iso_8859_15S");
   u00536 : constant Version_32 := 16#f4a53196#;
   pragma Export (C, u00536, "unicode__names__currency_symbolsS");
   u00537 : constant Version_32 := 16#ef6463a7#;
   pragma Export (C, u00537, "unicode__names__latin_1_supplementS");
   u00538 : constant Version_32 := 16#c09150ac#;
   pragma Export (C, u00538, "unicode__names__latin_extended_aS");
   u00539 : constant Version_32 := 16#db4b185d#;
   pragma Export (C, u00539, "unicode__ccs__iso_8859_2B");
   u00540 : constant Version_32 := 16#349a01be#;
   pragma Export (C, u00540, "unicode__ccs__iso_8859_2S");
   u00541 : constant Version_32 := 16#69ed8ca4#;
   pragma Export (C, u00541, "unicode__names__spacing_modifier_lettersS");
   u00542 : constant Version_32 := 16#b31a8357#;
   pragma Export (C, u00542, "unicode__ccs__iso_8859_3B");
   u00543 : constant Version_32 := 16#487a726a#;
   pragma Export (C, u00543, "unicode__ccs__iso_8859_3S");
   u00544 : constant Version_32 := 16#8f015f1e#;
   pragma Export (C, u00544, "unicode__ccs__iso_8859_4B");
   u00545 : constant Version_32 := 16#ad57c2bd#;
   pragma Export (C, u00545, "unicode__ccs__iso_8859_4S");
   u00546 : constant Version_32 := 16#f172dea7#;
   pragma Export (C, u00546, "unicode__ccs__windows_1251B");
   u00547 : constant Version_32 := 16#ba76c289#;
   pragma Export (C, u00547, "unicode__ccs__windows_1251S");
   u00548 : constant Version_32 := 16#e75ad8ad#;
   pragma Export (C, u00548, "unicode__names__cyrillicS");
   u00549 : constant Version_32 := 16#f37cfd49#;
   pragma Export (C, u00549, "unicode__names__general_punctuationS");
   u00550 : constant Version_32 := 16#9b0ee482#;
   pragma Export (C, u00550, "unicode__names__letterlike_symbolsS");
   u00551 : constant Version_32 := 16#5a5ed9e7#;
   pragma Export (C, u00551, "unicode__ccs__windows_1252B");
   u00552 : constant Version_32 := 16#7cee5e39#;
   pragma Export (C, u00552, "unicode__ccs__windows_1252S");
   u00553 : constant Version_32 := 16#989dc321#;
   pragma Export (C, u00553, "unicode__names__latin_extended_bS");
   u00554 : constant Version_32 := 16#2bd88f63#;
   pragma Export (C, u00554, "domS");
   u00555 : constant Version_32 := 16#8964dfb7#;
   pragma Export (C, u00555, "dom__coreB");
   u00556 : constant Version_32 := 16#e16c7fd0#;
   pragma Export (C, u00556, "dom__coreS");
   u00557 : constant Version_32 := 16#17965ec6#;
   pragma Export (C, u00557, "saxS");
   u00558 : constant Version_32 := 16#04b61968#;
   pragma Export (C, u00558, "sax__encodingsS");
   u00559 : constant Version_32 := 16#f78b28e4#;
   pragma Export (C, u00559, "sax__symbolsB");
   u00560 : constant Version_32 := 16#9d983edf#;
   pragma Export (C, u00560, "sax__symbolsS");
   u00561 : constant Version_32 := 16#00e9dcb1#;
   pragma Export (C, u00561, "gnat__task_lockS");
   u00562 : constant Version_32 := 16#0881bbf8#;
   pragma Export (C, u00562, "system__task_lockB");
   u00563 : constant Version_32 := 16#f1aea67f#;
   pragma Export (C, u00563, "system__task_lockS");
   u00564 : constant Version_32 := 16#35181bfa#;
   pragma Export (C, u00564, "sax__htableB");
   u00565 : constant Version_32 := 16#53cdfad2#;
   pragma Export (C, u00565, "sax__htableS");
   u00566 : constant Version_32 := 16#c894dc0e#;
   pragma Export (C, u00566, "sax__pointersB");
   u00567 : constant Version_32 := 16#f5504de1#;
   pragma Export (C, u00567, "sax__pointersS");
   u00568 : constant Version_32 := 16#77574157#;
   pragma Export (C, u00568, "sax__utilsB");
   u00569 : constant Version_32 := 16#8be8edc4#;
   pragma Export (C, u00569, "sax__utilsS");
   u00570 : constant Version_32 := 16#34fd598f#;
   pragma Export (C, u00570, "dom__core__nodesB");
   u00571 : constant Version_32 := 16#dd9b1d29#;
   pragma Export (C, u00571, "dom__core__nodesS");
   u00572 : constant Version_32 := 16#eeeb4b65#;
   pragma Export (C, u00572, "ada__text_io__text_streamsB");
   u00573 : constant Version_32 := 16#d41c52c3#;
   pragma Export (C, u00573, "ada__text_io__text_streamsS");
   u00574 : constant Version_32 := 16#dfa9f38a#;
   pragma Export (C, u00574, "input_sources__stringsB");
   u00575 : constant Version_32 := 16#e8bb00ab#;
   pragma Export (C, u00575, "input_sources__stringsS");
   u00576 : constant Version_32 := 16#c00472b1#;
   pragma Export (C, u00576, "sax__readersB");
   u00577 : constant Version_32 := 16#aa9265f5#;
   pragma Export (C, u00577, "sax__readersS");
   u00578 : constant Version_32 := 16#61ea3cb7#;
   pragma Export (C, u00578, "input_sources__fileB");
   u00579 : constant Version_32 := 16#dbed6b26#;
   pragma Export (C, u00579, "input_sources__fileS");
   u00580 : constant Version_32 := 16#5f2d0fd4#;
   pragma Export (C, u00580, "sax__attributesB");
   u00581 : constant Version_32 := 16#5ab7981b#;
   pragma Export (C, u00581, "sax__attributesS");
   u00582 : constant Version_32 := 16#09343cf2#;
   pragma Export (C, u00582, "sax__modelsB");
   u00583 : constant Version_32 := 16#9f60b983#;
   pragma Export (C, u00583, "sax__modelsS");
   u00584 : constant Version_32 := 16#931a0d00#;
   pragma Export (C, u00584, "sax__exceptionsB");
   u00585 : constant Version_32 := 16#dd35a235#;
   pragma Export (C, u00585, "sax__exceptionsS");
   u00586 : constant Version_32 := 16#39333ede#;
   pragma Export (C, u00586, "sax__locatorsB");
   u00587 : constant Version_32 := 16#aaab08ab#;
   pragma Export (C, u00587, "sax__locatorsS");
   u00588 : constant Version_32 := 16#6dd6d5f4#;
   pragma Export (C, u00588, "soap__message__readerB");
   u00589 : constant Version_32 := 16#dda48f1e#;
   pragma Export (C, u00589, "soap__message__readerS");
   u00590 : constant Version_32 := 16#62e0a466#;
   pragma Export (C, u00590, "dom__core__documentsB");
   u00591 : constant Version_32 := 16#9493378d#;
   pragma Export (C, u00591, "dom__core__documentsS");
   u00592 : constant Version_32 := 16#65b22764#;
   pragma Export (C, u00592, "dom__core__elementsB");
   u00593 : constant Version_32 := 16#92281457#;
   pragma Export (C, u00593, "dom__core__elementsS");
   u00594 : constant Version_32 := 16#d6cfcab7#;
   pragma Export (C, u00594, "dom__core__attrsB");
   u00595 : constant Version_32 := 16#4f3aef62#;
   pragma Export (C, u00595, "dom__core__attrsS");
   u00596 : constant Version_32 := 16#c7a68950#;
   pragma Export (C, u00596, "soap__message__responseB");
   u00597 : constant Version_32 := 16#182fd82d#;
   pragma Export (C, u00597, "soap__message__responseS");
   u00598 : constant Version_32 := 16#a3e9c126#;
   pragma Export (C, u00598, "soap__message__payloadB");
   u00599 : constant Version_32 := 16#8a46c830#;
   pragma Export (C, u00599, "soap__message__payloadS");
   u00600 : constant Version_32 := 16#9932d015#;
   pragma Export (C, u00600, "soap__parametersB");
   u00601 : constant Version_32 := 16#3e9c62dc#;
   pragma Export (C, u00601, "soap__parametersS");
   u00602 : constant Version_32 := 16#c8f32c87#;
   pragma Export (C, u00602, "soap__message__response__errorB");
   u00603 : constant Version_32 := 16#5416e5ff#;
   pragma Export (C, u00603, "soap__message__response__errorS");
   u00604 : constant Version_32 := 16#3c5a13b3#;
   pragma Export (C, u00604, "soap__xmlB");
   u00605 : constant Version_32 := 16#71a6ecd7#;
   pragma Export (C, u00605, "soap__xmlS");
   u00606 : constant Version_32 := 16#b5bd2f88#;
   pragma Export (C, u00606, "soap__wsdlB");
   u00607 : constant Version_32 := 16#f5cef3b0#;
   pragma Export (C, u00607, "soap__wsdlS");
   u00608 : constant Version_32 := 16#75eb9a45#;
   pragma Export (C, u00608, "dom__readersB");
   u00609 : constant Version_32 := 16#66cb4642#;
   pragma Export (C, u00609, "dom__readersS");
   u00610 : constant Version_32 := 16#9ff1faba#;
   pragma Export (C, u00610, "dom__core__character_datasB");
   u00611 : constant Version_32 := 16#06ea1232#;
   pragma Export (C, u00611, "dom__core__character_datasS");
   u00612 : constant Version_32 := 16#3e8eb0a7#;
   pragma Export (C, u00612, "soap__wsdl__parametersB");
   u00613 : constant Version_32 := 16#33ea6b70#;
   pragma Export (C, u00613, "soap__wsdl__parametersS");
   u00614 : constant Version_32 := 16#50e8f459#;
   pragma Export (C, u00614, "soap__wsdl__parserB");
   u00615 : constant Version_32 := 16#c1022054#;
   pragma Export (C, u00615, "soap__wsdl__parserS");
   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.characters%s
   --  ada.characters.handling%s
   --  ada.characters.latin_1%s
   --  ada.command_line%s
   --  ada.environment_variables%s
   --  gnat%s
   --  interfaces%s
   --  system%s
   --  gnat.byte_swapping%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.arith_64%s
   --  system.atomic_counters%s
   --  system.atomic_counters%b
   --  system.byte_swapping%s
   --  gnat.byte_swapping%b
   --  system.case_util%s
   --  system.case_util%b
   --  gnat.case_util%s
   --  gnat.case_util%b
   --  system.exn_llf%s
   --  system.exn_llf%b
   --  system.exn_lli%s
   --  system.exn_lli%b
   --  system.float_control%s
   --  system.float_control%b
   --  system.htable%s
   --  system.img_bool%s
   --  system.img_bool%b
   --  system.img_char%s
   --  system.img_char%b
   --  system.img_dec%s
   --  system.img_enum_new%s
   --  system.img_enum_new%b
   --  system.img_int%s
   --  system.img_int%b
   --  system.img_dec%b
   --  system.img_lld%s
   --  system.img_lli%s
   --  system.img_lli%b
   --  system.img_lld%b
   --  system.img_real%s
   --  system.io%s
   --  system.io%b
   --  system.machine_code%s
   --  system.multiprocessors%s
   --  system.os_primitives%s
   --  system.os_primitives%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  interfaces.c_streams%s
   --  interfaces.c_streams%b
   --  system.powten_table%s
   --  system.restrictions%s
   --  system.restrictions%b
   --  system.standard_library%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.stack_checking.operations%s
   --  system.stack_usage%s
   --  system.stack_usage%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  gnat.strings%s
   --  system.os_lib%s
   --  gnat.os_lib%s
   --  system.task_lock%s
   --  gnat.task_lock%s
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  ada.exceptions%s
   --  system.arith_64%b
   --  ada.exceptions.is_null_occurrence%s
   --  ada.exceptions.is_null_occurrence%b
   --  system.soft_links%s
   --  system.task_lock%b
   --  system.stack_checking.operations%b
   --  system.traces%s
   --  system.traces%b
   --  system.unsigned_types%s
   --  system.fat_flt%s
   --  system.fat_lflt%s
   --  system.fat_llf%s
   --  system.img_biu%s
   --  system.img_biu%b
   --  system.img_llb%s
   --  system.img_llb%b
   --  system.img_llu%s
   --  system.img_llu%b
   --  system.img_llw%s
   --  system.img_llw%b
   --  system.img_uns%s
   --  system.img_uns%b
   --  system.img_real%b
   --  system.img_wiu%s
   --  system.img_wiu%b
   --  system.val_bool%s
   --  system.val_enum%s
   --  system.val_int%s
   --  system.val_lli%s
   --  system.val_llu%s
   --  system.val_real%s
   --  system.val_uns%s
   --  system.val_util%s
   --  system.val_util%b
   --  system.val_uns%b
   --  system.val_real%b
   --  system.val_llu%b
   --  system.val_lli%b
   --  system.val_int%b
   --  system.val_enum%b
   --  system.val_bool%b
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_cnv%s
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%b
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  system.address_image%s
   --  system.bit_ops%s
   --  system.bit_ops%b
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.concat_2%s
   --  system.concat_2%b
   --  system.concat_3%s
   --  system.concat_3%b
   --  system.concat_4%s
   --  system.concat_4%b
   --  system.concat_5%s
   --  system.concat_5%b
   --  system.concat_6%s
   --  system.concat_6%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  ada.containers%s
   --  ada.containers.hash_tables%s
   --  ada.containers.prime_numbers%s
   --  ada.containers.prime_numbers%b
   --  ada.containers.red_black_trees%s
   --  ada.io_exceptions%s
   --  ada.numerics%s
   --  ada.numerics.aux%s
   --  ada.numerics.aux%b
   --  ada.numerics.long_elementary_functions%s
   --  ada.numerics.long_elementary_functions%b
   --  ada.strings%s
   --  ada.strings.hash%s
   --  ada.strings.hash%b
   --  ada.strings.hash_case_insensitive%s
   --  ada.strings.maps%s
   --  ada.strings.fixed%s
   --  ada.strings.maps.constants%s
   --  ada.strings.search%s
   --  ada.strings.search%b
   --  ada.tags%s
   --  ada.streams%s
   --  ada.streams%b
   --  interfaces.c%s
   --  system.multiprocessors%b
   --  interfaces.c.strings%s
   --  system.communication%s
   --  system.communication%b
   --  system.exceptions%s
   --  system.exceptions%b
   --  system.exceptions.machine%s
   --  system.finalization_root%s
   --  system.finalization_root%b
   --  ada.finalization%s
   --  ada.finalization%b
   --  system.linux%s
   --  system.os_constants%s
   --  system.os_interface%s
   --  system.os_interface%b
   --  system.interrupt_management%s
   --  system.regpat%s
   --  gnat.regpat%s
   --  system.storage_pools%s
   --  system.storage_pools%b
   --  system.finalization_masters%s
   --  system.storage_pools.subpools%s
   --  system.storage_pools.subpools.finalization%s
   --  system.storage_pools.subpools.finalization%b
   --  system.stream_attributes%s
   --  system.stream_attributes%b
   --  system.task_info%s
   --  system.task_info%b
   --  system.task_primitives%s
   --  system.interrupt_management%b
   --  system.tasking%s
   --  ada.task_identification%s
   --  system.task_primitives.operations%s
   --  system.tasking%b
   --  system.tasking.debug%s
   --  system.task_primitives.operations%b
   --  system.traces.tasking%s
   --  system.traces.tasking%b
   --  ada.calendar%s
   --  ada.calendar%b
   --  ada.calendar.conversions%s
   --  ada.calendar.conversions%b
   --  ada.calendar.delays%s
   --  ada.calendar.delays%b
   --  ada.calendar.time_zones%s
   --  ada.calendar.time_zones%b
   --  ada.calendar.formatting%s
   --  gnat.calendar%s
   --  gnat.calendar%b
   --  gnat.calendar.time_io%s
   --  gnat.directory_operations%s
   --  gnat.secure_hashes%s
   --  gnat.secure_hashes%b
   --  gnat.secure_hashes.md5%s
   --  gnat.secure_hashes.md5%b
   --  gnat.md5%s
   --  gnat.md5%b
   --  gnat.secure_hashes.sha1%s
   --  gnat.secure_hashes.sha1%b
   --  gnat.sha1%s
   --  gnat.sha1%b
   --  system.assertions%s
   --  system.assertions%b
   --  system.file_attributes%s
   --  system.memory%s
   --  system.memory%b
   --  system.standard_library%b
   --  system.pool_global%s
   --  system.pool_global%b
   --  system.file_control_block%s
   --  ada.streams.stream_io%s
   --  system.file_io%s
   --  ada.streams.stream_io%b
   --  system.random_numbers%s
   --  system.random_seed%s
   --  system.random_seed%b
   --  system.secondary_stack%s
   --  system.file_io%b
   --  system.tasking.debug%b
   --  system.storage_pools.subpools%b
   --  system.finalization_masters%b
   --  system.regpat%b
   --  interfaces.c.strings%b
   --  interfaces.c%b
   --  ada.tags%b
   --  ada.strings.fixed%b
   --  ada.strings.maps%b
   --  ada.strings.hash_case_insensitive%b
   --  system.soft_links%b
   --  system.os_lib%b
   --  ada.environment_variables%b
   --  ada.command_line%b
   --  ada.characters.handling%b
   --  system.secondary_stack%b
   --  system.random_numbers%b
   --  gnat.directory_operations%b
   --  ada.calendar.formatting%b
   --  system.address_image%b
   --  ada.strings.unbounded%s
   --  ada.strings.unbounded%b
   --  ada.directories%s
   --  ada.directories.validity%s
   --  ada.directories.validity%b
   --  gnat.string_split%s
   --  gnat.string_split%b
   --  system.regexp%s
   --  system.regexp%b
   --  ada.directories%b
   --  gnat.regexp%s
   --  gnat.command_line%s
   --  system.soft_links.tasking%s
   --  system.soft_links.tasking%b
   --  system.strings.stream_ops%s
   --  system.strings.stream_ops%b
   --  system.tasking.entry_calls%s
   --  system.tasking.initialization%s
   --  system.tasking.initialization%b
   --  system.tasking.protected_objects%s
   --  system.tasking.protected_objects%b
   --  system.tasking.task_attributes%s
   --  system.tasking.task_attributes%b
   --  system.tasking.utilities%s
   --  ada.task_identification%b
   --  system.traceback%s
   --  ada.exceptions%b
   --  system.traceback%b
   --  ada.real_time%s
   --  ada.real_time%b
   --  ada.real_time.delays%s
   --  ada.real_time.delays%b
   --  ada.text_io%s
   --  ada.text_io%b
   --  gnat.command_line%b
   --  gnat.calendar.time_io%b
   --  ada.text_io.c_streams%s
   --  ada.text_io.c_streams%b
   --  ada.text_io.float_aux%s
   --  ada.float_text_io%s
   --  ada.float_text_io%b
   --  ada.long_float_text_io%s
   --  ada.long_float_text_io%b
   --  ada.text_io.generic_aux%s
   --  ada.text_io.generic_aux%b
   --  ada.text_io.float_aux%b
   --  ada.text_io.integer_aux%s
   --  ada.text_io.integer_aux%b
   --  ada.integer_text_io%s
   --  ada.integer_text_io%b
   --  ada.text_io.text_streams%s
   --  ada.text_io.text_streams%b
   --  system.tasking.protected_objects.entries%s
   --  system.tasking.protected_objects.entries%b
   --  system.tasking.queuing%s
   --  system.tasking.queuing%b
   --  system.tasking.utilities%b
   --  system.tasking.rendezvous%s
   --  system.tasking.protected_objects.operations%s
   --  system.tasking.protected_objects.operations%b
   --  system.tasking.rendezvous%b
   --  system.tasking.entry_calls%b
   --  system.tasking.stages%s
   --  system.tasking.stages%b
   --  aws%s
   --  aws.containers%s
   --  aws.default%s
   --  aws.services%s
   --  ssl%s
   --  unicode%s
   --  unicode.names%s
   --  unicode.names.basic_latin%s
   --  unicode%b
   --  zlib%b
   --  aws.containers.key_value%s
   --  aws.containers.key_value%b
   --  aws.containers.string_vectors%s
   --  aws.containers.string_vectors%b
   --  aws.config%s
   --  aws.config.ini%s
   --  aws.config%b
   --  aws.config.set%s
   --  aws.config.utils%s
   --  aws.containers.tables%s
   --  aws.containers.tables%b
   --  aws.containers.tables.set%s
   --  aws.containers.tables.set%b
   --  aws.digest%s
   --  aws.messages%s
   --  aws.mime%s
   --  aws.os_lib%s
   --  aws.parameters%s
   --  aws.parameters%b
   --  aws.url%s
   --  aws.url.raise_url_error%s
   --  aws.url.raise_url_error%b
   --  aws.url.set%s
   --  dom%s
   --  memory_streams%s
   --  memory_streams%b
   --  sax%s
   --  sax.htable%s
   --  sax.htable%b
   --  sax.pointers%s
   --  sax.pointers%b
   --  soap%s
   --  soap.name_space%s
   --  soap.name_space%b
   --  soap.types%s
   --  soap.parameters%s
   --  soap.parameters%b
   --  soap.message%s
   --  soap.message%b
   --  soap.message.payload%s
   --  soap.message.payload%b
   --  soap.types.untyped%s
   --  ssl.thin%s
   --  templates_parser_tasking%s
   --  templates_parser_tasking%b
   --  templates_parser%s
   --  aws.templates%s
   --  templates_parser.configuration%s
   --  templates_parser.input%s
   --  templates_parser.input%b
   --  templates_parser.utils%s
   --  templates_parser.utils%b
   --  templates_parser%b
   --  aws.utils%s
   --  aws.utils%b
   --  aws.url%b
   --  aws.config.set%b
   --  aws.config.ini%b
   --  aws.containers.memory_streams%s
   --  aws.containers.memory_streams%b
   --  aws.net%s
   --  aws.headers%s
   --  aws.attachments%s
   --  aws.headers.set%s
   --  aws.headers.values%s
   --  aws.headers.values%b
   --  aws.messages%b
   --  aws.net.buffered%s
   --  aws.headers.set%b
   --  aws.headers%b
   --  aws.config.utils%b
   --  aws.net.generic_sets%s
   --  aws.net.generic_sets%b
   --  aws.net.log%s
   --  aws.net.log%b
   --  aws.net.poll_events%s
   --  aws.net.poll_events%b
   --  aws.net.std%s
   --  aws.net.std%b
   --  aws.net.ssl%s
   --  aws.net%b
   --  aws.net.ssl.certificate%s
   --  aws.net.ssl.certificate.impl%s
   --  aws.net.ssl.certificate.impl%b
   --  aws.net.ssl.certificate%b
   --  aws.net.ssl%b
   --  aws.parameters.set%s
   --  aws.url.set%b
   --  aws.resources%s
   --  aws.resources.files%s
   --  aws.resources.streams%s
   --  aws.resources.streams%b
   --  aws.resources.streams.disk%s
   --  aws.resources.streams.disk%b
   --  aws.resources.streams.disk.once%s
   --  aws.resources.streams.disk.once%b
   --  aws.resources.streams.memory%s
   --  aws.resources.streams.memory%b
   --  aws.resources.embedded%s
   --  aws.resources%b
   --  aws.resources.streams.memory.zlib%s
   --  aws.resources.streams.memory.zlib%b
   --  aws.resources.streams.zlib%s
   --  aws.resources.streams.zlib%b
   --  aws.resources.embedded%b
   --  aws.resources.files%b
   --  aws.services.transient_pages%s
   --  aws.services.transient_pages%b
   --  aws.services.transient_pages.control%s
   --  aws.services.transient_pages.control%b
   --  aws.translator%s
   --  aws.translator%b
   --  aws.net.buffered%b
   --  aws.attachments%b
   --  aws.mime%b
   --  aws.digest%b
   --  aws.net.acceptors%s
   --  aws.net.acceptors%b
   --  aws.session%s
   --  aws.session.control%s
   --  aws.session.control%b
   --  aws.status%s
   --  aws.status%b
   --  aws.net.websocket%s
   --  aws.net.websocket.protocol%s
   --  aws.net.websocket.protocol.draft76%s
   --  aws.net.websocket.protocol.draft76%b
   --  aws.net.websocket.protocol.rfc6455%s
   --  aws.net.websocket.protocol.rfc6455%b
   --  aws.net.websocket%b
   --  aws.net.websocket.registry%s
   --  aws.net.websocket.registry%b
   --  aws.net.websocket.registry.control%s
   --  aws.net.websocket.registry.control%b
   --  aws.net.websocket.registry.watch%s
   --  aws.net.websocket.registry.watch%b
   --  aws.response%s
   --  aws.client%s
   --  aws.client.http_utils%s
   --  aws.client%b
   --  aws.client.xml%s
   --  aws.dispatchers%s
   --  aws.dispatchers%b
   --  aws.dispatchers.callback%s
   --  aws.dispatchers.callback%b
   --  aws.hotplug%s
   --  aws.hotplug%b
   --  aws.hotplug.get_status%s
   --  aws.hotplug.get_status%b
   --  aws.log%s
   --  aws.log%b
   --  aws.exceptions%s
   --  aws.response.set%s
   --  aws.response.set%b
   --  aws.client.http_utils%b
   --  aws.response%b
   --  aws.server%s
   --  aws.parameters.set%b
   --  aws.server.get_status%s
   --  aws.server.http_utils%s
   --  aws.server.log%s
   --  aws.server.log%b
   --  aws.server.status%s
   --  aws.server.status%b
   --  aws.server.get_status%b
   --  aws.status.set%s
   --  aws.status.set%b
   --  aws.server.http_utils%b
   --  aws.status.translate_set%s
   --  aws.status.translate_set%b
   --  aws.server%b
   --  aws.utils.streams%s
   --  aws.utils.streams%b
   --  aws.session%b
   --  soap.message.response%s
   --  soap.client%s
   --  soap.message.response.error%s
   --  soap.message.xml%s
   --  soap.client%b
   --  soap.message.response%b
   --  soap.utils%s
   --  soap.message.response.error%b
   --  soap.types.untyped%b
   --  soap.types%b
   --  unicode.ccs%s
   --  unicode.ccs%b
   --  unicode.ccs.iso_8859_1%s
   --  unicode.ccs.iso_8859_1%b
   --  unicode.ccs.iso_8859_15%s
   --  unicode.ccs.iso_8859_2%s
   --  unicode.ccs.iso_8859_3%s
   --  unicode.ccs.iso_8859_4%s
   --  unicode.ccs.windows_1251%s
   --  unicode.ccs.windows_1252%s
   --  unicode.ces%s
   --  unicode.ces%b
   --  sax.symbols%s
   --  sax.symbols%b
   --  sax.locators%s
   --  sax.locators%b
   --  sax.exceptions%s
   --  sax.exceptions%b
   --  sax.models%s
   --  sax.attributes%s
   --  sax.attributes%b
   --  sax.utils%s
   --  dom.core%s
   --  dom.core.documents%s
   --  soap.wsdl%s
   --  soap.wsdl.parameters%s
   --  soap.wsdl.parameters%b
   --  soap.wsdl.parser%s
   --  soap.generator%s
   --  soap.generator%b
   --  wsdl2aws%b
   --  soap.xml%s
   --  unicode.ces.utf32%s
   --  unicode.ces.utf32%b
   --  unicode.ces.basic_8bit%s
   --  unicode.ces.basic_8bit%b
   --  input_sources%s
   --  aws.client.xml.input_sources%s
   --  input_sources.file%s
   --  input_sources.strings%s
   --  sax.readers%s
   --  dom.readers%s
   --  soap.wsdl%b
   --  soap.message.reader%s
   --  unicode.ces.utf16%s
   --  unicode.ces.utf16%b
   --  unicode.ces.utf8%s
   --  unicode.ces.utf8%b
   --  input_sources.strings%b
   --  input_sources.file%b
   --  aws.client.xml.input_sources%b
   --  soap.utils%b
   --  sax.encodings%s
   --  sax.readers%b
   --  dom.core%b
   --  sax.utils%b
   --  sax.models%b
   --  unicode.encodings%s
   --  unicode.encodings%b
   --  input_sources%b
   --  dom.core.nodes%s
   --  dom.core.nodes%b
   --  soap.xml%b
   --  soap.wsdl.parser%b
   --  soap.message.xml%b
   --  dom.core.attrs%s
   --  dom.core.attrs%b
   --  dom.core.character_datas%s
   --  dom.core.character_datas%b
   --  dom.core.elements%s
   --  dom.core.elements%b
   --  soap.message.reader%b
   --  dom.readers%b
   --  dom.core.documents%b
   --  unicode.names.currency_symbols%s
   --  unicode.names.cyrillic%s
   --  unicode.names.general_punctuation%s
   --  unicode.names.latin_1_supplement%s
   --  unicode.names.latin_extended_a%s
   --  unicode.ccs.iso_8859_15%b
   --  unicode.names.latin_extended_b%s
   --  unicode.names.letterlike_symbols%s
   --  unicode.ccs.windows_1251%b
   --  unicode.names.spacing_modifier_letters%s
   --  unicode.ccs.windows_1252%b
   --  unicode.ccs.iso_8859_4%b
   --  unicode.ccs.iso_8859_3%b
   --  unicode.ccs.iso_8859_2%b
   --  zlib%s
   --  END ELABORATION ORDER


end ada_main;
